problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Ask the community for help and support.
Locked
bitit
VIP Member
VIP Member
Posts: 19
Joined: Thu Jun 24, 2021 4:00 pm
Has thanked: 1 time
Been thanked: 3 times

problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Post by bitit »

Hi, is a week that i'm going crazy for this, i have try in three different server before ask a help.

so : php 7.3.x and 7.2.x ( in php8.0.x phoenix give a lot of error can't manage content module)
when click in :" Purchase without account > Continue"
from this: https://drive.google.com/file/d/1Vh8weY ... sp=sharing

i go in the following page, but without form to data compiling
https://drive.google.com/file/d/1N1lGxh ... sp=sharing

i click forward and return a white page , with blank source code
https://drive.google.com/file/d/1xeg49G ... sp=sharing

https://drive.google.com/file/d/1WpUGHt ... sp=sharing

in the only the following error:
[Sun Dec 05 11:50:13.439223 2021] [proxy_fcgi:error] [pid 28498] [client 192.168.1.48:39098] AH01071: Got error 'PHP message: PHP Notice: Undefined index: email_address in PATH:/olio-extravergine/templates/override/includes/hooks/shop/siteWide/pwa.php on line 84PHP message: PHP Fatal error: Uncaught TypeError: Argument 1 passed to Text::prepare() must be of the type string, null given, called in PATH:/olio-extravergine/templates/override/includes/hooks/shop/siteWide/pwa.php on line 84 and defined in PATH:/olio-extravergine/includes/system/versioned/1.0.8.2/text.php:63\nStack trace:\n#0 PATH:/olio-extravergine/templates/override/includes/hooks/shop/siteWide/pwa.php(84): Text::prepare(NULL)\n#1 PATH:/olio-extravergine/includes/system/versioned/1.0.8.1/hooks.php(150): hook_shop_siteWide_pwa->listen_injectAppTop(Array)\n#2 PATH:/olio-extravergine/includes/system/versioned/1.0.8.1/hooks.php(144): hooks->cat('injectAppTop', Array)\n#3 PATH:/olio-extravergine/includes/system/versioned/1.0.8.1/hooks.php(128): hooks->call('siteWide', 'injectAppTop')\n#4 PATH:', referer: http://olivierasantangelo.test/olio-ext ... nt_pwa.php
bitit
VIP Member
VIP Member
Posts: 19
Joined: Thu Jun 24, 2021 4:00 pm
Has thanked: 1 time
Been thanked: 3 times

Re: problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Post by bitit »

Have submit also the screenshot
You do not have the required permissions to view the files attached to this post.
raiwa
PhoenixCart Developer
PhoenixCart Developer
Posts: 555
Joined: Sat Dec 21, 2019 8:08 am
Has thanked: 29 times
Been thanked: 71 times

Re: problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Post by raiwa »

1. Support for addons is given in the "Addon Discussion/Support" tab of each addon:
app.php/addons/free_addon/purchase_with ... nt/support

2. you missed to add the create_account_pwa.php page to the required customer data module(s):
PWA Guest Checkout Documentation:
4. [Required] In Admin =>Modules => Customer Data for all Modules you wish to show
on the create_account_pwa page, tick the page 'create_account_pwa' in the 'Pages' list.
Only the E-Mail module is required for PWA to work. However you need to add the page
also to the required modules for your shipping and payment modules and checkout
process to work properly.
3. Read and follow always the provided instructions
Public Phoenix Change Log Cheat Set on Google Sheets
https://docs.google.com/spreadsheets/d/ ... sp=sharing

Need Help?viewtopic.php?f=10&t=27
bitit
VIP Member
VIP Member
Posts: 19
Joined: Thu Jun 24, 2021 4:00 pm
Has thanked: 1 time
Been thanked: 3 times

Re: problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Post by bitit »

thank you raiwa for your reply, i have read the instructions and installed guest module in Customer data; probably my English is worse then i thinking, but or i haven't understand some step or it don't work .

Enrico
You do not have the required permissions to view the files attached to this post.
raiwa
PhoenixCart Developer
PhoenixCart Developer
Posts: 555
Joined: Sat Dec 21, 2019 8:08 am
Has thanked: 29 times
Been thanked: 71 times

Re: problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Post by raiwa »

Read again step 4, which is the one I posted above, not step 3, and do it.
If you do not understand one step, ask, but do not leave it out, It says clearly "required".
Image
You do not have the required permissions to view the files attached to this post.
Public Phoenix Change Log Cheat Set on Google Sheets
https://docs.google.com/spreadsheets/d/ ... sp=sharing

Need Help?viewtopic.php?f=10&t=27
admin
Site Admin
Site Admin
Posts: 108
Joined: Wed Oct 30, 2019 1:34 pm
Has thanked: 18 times
Been thanked: 14 times

Re: problem in PWA_Phoenix_4.5.3 with phoenix 1.0.8.7 and 1.0.8.8

Post by admin »

Please read viewtopic.php?f=10&t=27
Support for add-ons is only offered where you downloaded the add-on
app.php/addons/free_addon/purchase_with ... nt/support
Locked